Package org.silverpeas.components.quickinfo.portlets

## Class QuickInfosPortlet

- java.lang.Object
- - javax.portlet.GenericPortlet
  - - org.silverpeas.components.quickinfo.portlets.QuickInfosPortlet

- All Implemented Interfaces:
    `javax.portlet.EventPortlet`, `javax.portlet.HeaderPortlet`, `javax.portlet.Portlet`, `javax.portlet.PortletConfig`, `javax.portlet.ResourceServingPortlet`, `org.silverpeas.core.web.portlets.FormNames`

      public class QuickInfosPortlet
      extends javax.portlet.GenericPortlet
      implements org.silverpeas.core.web.portlets.FormNames

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `PARAM_DISPLAY` |

    - ### Fields inherited from class javax.portlet.GenericPortlet

      `AUTOMATIC_RESOURCE_DISPATCH`

    - ### Fields inherited from interface org.silverpeas.core.web.portlets.FormNames

      `ERROR_BAD_VALUE, SUBMIT_CANCEL, SUBMIT_FINISHED, TEXTBOX_MAX_AGE, TEXTBOX_NB_ITEMS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QuickInfosPortlet()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doEdit​(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)` |
    `void` | `doHelp​(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)` | Include "help" JSP.
    `void` | `doView​(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)` |
    `void` | `processAction​(javax.portlet.ActionRequest request, javax.portlet.ActionResponse response)` |

    - ### Methods inherited from class javax.portlet.GenericPortlet

      `destroy, dispatchAnnotatedActionMethod, dispatchAnnotatedEventMethod, dispatchAnnotatedRenderMethod, doDispatch, doHeaders, getContainerRuntimeOptions, getDefaultNamespace, getInitParameter, getInitParameterNames, getNextPossiblePortletModes, getPortletConfig, getPortletContext, getPortletModes, getPortletName, getProcessingEventQNames, getPublicRenderParameterDefinitions, getPublicRenderParameterNames, getPublishingEventQNames, getResourceBundle, getSupportedLocales, getTitle, getWindowStates, init, init, processEvent, render, renderHeaders, serveResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PARAM_DISPLAY

          public static final String PARAM_DISPLAY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### QuickInfosPortlet

          public QuickInfosPortlet()

  - ### Method Detail

    - #### doView

          public void doView​(javax.portlet.RenderRequest request,
                             javax.portlet.RenderResponse response)
                      throws javax.portlet.PortletException,
                             IOException

      Overrides:
        `doView` in class `javax.portlet.GenericPortlet`
      Throws:
        `javax.portlet.PortletException`
        `IOException`

    - #### doEdit

          public void doEdit​(javax.portlet.RenderRequest request,
                             javax.portlet.RenderResponse response)
                      throws javax.portlet.PortletException

      Overrides:
        `doEdit` in class `javax.portlet.GenericPortlet`
      Throws:
        `javax.portlet.PortletException`

    - #### doHelp

          public void doHelp​(javax.portlet.RenderRequest request,
                             javax.portlet.RenderResponse response)
                      throws javax.portlet.PortletException

      Include "help" JSP.
      Overrides:
        `doHelp` in class `javax.portlet.GenericPortlet`
      Throws:
        `javax.portlet.PortletException`

    - #### processAction

          public void processAction​(javax.portlet.ActionRequest request,
                                    javax.portlet.ActionResponse response)
                             throws javax.portlet.PortletException

      Specified by:
        `processAction` in interface `javax.portlet.Portlet`
      Overrides:
        `processAction` in class `javax.portlet.GenericPortlet`
      Throws:
        `javax.portlet.PortletException`